find_package(nlohmann_json 3 REQUIRED)

file(GLOB_RECURSE HTTP_SOURCES "./*.cpp")
add_library(http SHARED ${HTTP_SOURCES})
target_link_libraries(http librum.so libflags-cpp.so nlohmann_json::nlohmann_json)
set_target_properties(http PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/plugins")